CVE-2009-3288

Metadata

CVE-2009-3288
4.9
lkml.org, lkml.org, openwall.com, ubuntu.com
2009-09-22
2017-06-06 20:21

Description

The sg_build_indirect function in drivers/scsi/sg.c in Linux kernel 2.6.28-rc1 through 2.6.31-rc8 uses an incorrect variable when accessing an array, which allows local users to cause a denial of service (kernel OOPS and NULL pointer dereference), as demonstrated by using xcdroast to duplicate a CD. NOTE: this is only exploitable by users who can open the cdrom device.

Related Vulnerabilities

platform vulnerability
CVE-2009-3288